Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CSEditableContactEmailFieldList Class Reference

List of editable contact email addresses. More...

`#import <CSEditableContactEmailFieldList.h>`

Inherits CSContactEmailFieldList.

## Instance Methods
(void) | - setValues:
| Replaces all email address fields with given values if write capability is allowed. More...
(void) | - addItem:
| Add an email address to the list if write capability is allowed. More...
(void) | - removeItem:
| Remove an email address from the list if write capability is allowed. More...

## Additional Inherited Members
Properties inherited from CSContactMultiValueField
NSArray * | values
| Return NSArray of field values. More...
BOOL | isEmpty
| Returns YES if field is empty. More...
NSUInteger | size
| Returns size of values field. More...
Properties inherited from CSContactField
CSCapability * | writeCapability
| Write capability for particular field. More...
CSProviderSourceType | source
| Provider source type for particular field. More...

## Detailed Description

List of editable contact email addresses.

## Method Documentation

- (void) addItem: |  | (CSEditableContactEmailAddressField *) | emailAddress |

Add an email address to the list if write capability is allowed.

Otherwise no action.

Parameters

  emailAddress | an object of type CSEditableContactEmailAddressField values to add.

- (void) removeItem: |  | (CSEditableContactEmailAddressField *) | emailAddress |

Remove an email address from the list if write capability is allowed.

Otherwise no action.

Parameters

  emailAddress | an object of type CSEditableContactEmailAddressField values to add.

- (void) setValues: |  | (NSArray *) | emailAddresses |

Replaces all email address fields with given values if write capability is allowed.

Otherwise no action.

Parameters

  emailAddresses | array of CSEditableContactEmailAddressField values to set.

The documentation for this class was generated from the following file:

- CSEditableContactEmailFieldList.h